import { BaseDomainEvent } from './base-domain.event';

export class NotificationReadEvent extends BaseDomainEvent {
  readonly eventType = 'notification.read';

  constructor(
    public readonly userId: string,
    public readonly notificationId: string,
  ) {
    super();
  }
}
